PPAs are personal package archives that allows users and groups on Launchpad to make packages available to the public. PPAs can be added with a terminal command or through Software Sources.

learn more… | top users | synonyms

0
votes
1answer
58 views

Ign http://ppa.lunchpad.net raring Release ubuntu 13.04 [duplicate]

When I execute sudo apt-get update in terminal, I get: E: GPG error: http://ppa.lunchpad.net raring Release: The following signatures were invalid: NODATA 1 NODATA 2 I want update from 13.04 to ...
2
votes
1answer
35 views

Distribute own application on PPA or use own server with repository?

I am writing an advanced cross-platform open-source application. It is commercial app, but free&open-source (GPLv3). The thing is, this app is related to data security, so we need, that the source ...
2
votes
0answers
13 views

PPA that depend on another PPA [duplicate]

I have a PPA with latest Qt Creator and I use another PPA with latest Qt5 that needed for QtC compile and run. Is it possible for end-user simple add my PPA and automatically add dependment PPA? Or ...
2
votes
2answers
161 views

Can't fix GPG Error NO_PUB_KEY

As the title, I have the so common "GPG Error...NO_PUB_KEY" error, but I'm not able to fix it at all. I tried both Y PPA Manager and the command line sudo apt-key adv --keyserver keyserver.ubuntu.com ...
0
votes
1answer
343 views

Failed to fetch in apt-get update [duplicate]

A red alert appeared saying The update information is outdated this may be caused by network problems or a repository that is no longer available please update manually by selecting 'show ...
1
vote
1answer
214 views

Issues with Autopilot on 14.04.3

I'm following the steps from http://www.ubuntu.com/download/cloud/install-openstack-with-autopilot for autopilot install. This was working about a week ago on 14.04.3 and I'm not doing anything ...
0
votes
1answer
138 views

Failed to fetch http://ppa.launchpad.net/ferramroberto/sopcast/ubuntu/dists/trusty/main/binary-amd64/Packages [duplicate]

I don't know why I keep receiving the following error messages, when running apt-get update: W: Failed to fetch ...
0
votes
0answers
44 views

what ppa should be removed to not get apt-get update error [duplicate]

When I try to update I get this error. I am not sure why am I getting this error. Fetched 424 kB in 46s (9,190 B/s) W: GPG error: ...
1
vote
1answer
38 views

How do I change an application installed using PPA?

I installed an application using Personal Package Archives (PPA). I installed the application by adding the "unstable" PPA, and now I want to switch to the "stable" PPA. So I removed the "unstable" ...
0
votes
0answers
111 views

How to update/reinstall PHP with Sury tag

I got pointed here by Ondřej Surý: https://github.com/oerdnj/deb.sury.org/issues/65#issuecomment-163165653 If someone could help me with instructions on how to resolve this that would be great. ...
1
vote
1answer
18 views

Code of conduct: “The key has already been imported.”

I would like to activate a PPA, and for that I need to sign the code of conduct. I uploaded my GPG key fingerprint and downloaded the conduct txt. But when I access the signing page I get this ...
1
vote
0answers
74 views

Using qt debug symbols from ppa in qtCreator

How to make use of debug symbols in qtCreator, that are installed using ppa? I use Stephan Binner "Qt 5.5.1 for /opt Trusty" packages, including packages with -dbg postfix. Running command: ...
2
votes
1answer
64 views

Does apt-get install package from ppa first and then official repository?

I want to get the most recent version of nodejs installed, so I add the ppa:chris-lea/node.js . but does it mean when I run apt-get install nodejs, it will install the package from the ppa instead of ...
1
vote
0answers
30 views

How to properly manage PPAs just from the command-line

What are the recommendations for managing other repositories and PPAs without the help of Software and Updates GUI. How to know if a repository/PPA already, - exist - enabled or - disabled ? How to ...
1
vote
1answer
64 views

How to install wammu in ubuntu 13.10 (Saucy) [closed]

I've tried following: sudo add-apt-repository ppa:nijel/ppa sudo apt-get update sudo apt-get install wammu I get following message in terminal : lekhnath@ubuntu:~$ sudo apt-get install wammu ...
0
votes
1answer
112 views

Best way to manually update package

I am using Texstudio, version 2.9.4. While this is the latest available from the ppa (here), there is a new stable version available. Since apt-get won't see this update, I need to install it ...
3
votes
2answers
640 views

Is the openjdk-r ppa trustworty?

I've seen a ton of blogs saying Java 8 is now available to Ubuntu 12.04 & 14.04 through the ppa openjdk-r. My question is how trustworthy is this ppa? Is it run by people from openjdk or ubuntu or ...
0
votes
1answer
255 views

How do i uninstall kde packages with unmet dependencies?

I recently tried downloading from the software centre when I was greeted with this message: I then tried removing everything kde from ubuntu in the terminal but this is what happens: sudo ...
0
votes
0answers
34 views

E:The method driver /usr/lib/apt/methods/ppa could not be found

I'm running Ubuntu 15.10 Wily. A "sudo apt-get update" or any attempt of installation through the software-center answers me this message : "E:The method driver /usr/lib/apt/methods/ppa could not be ...
1
vote
1answer
36 views

Is there a ppa for nginx mainline with pagespeed?

I could only find a couple for the stable branch of nginx
1
vote
2answers
498 views

Install TortoiseHG with mercurial 3.3.2

I want a GUI to view, compare and checkout versions of my project(s). But when I want to install Tortoise HG, apt proposes to downgrade Mercurial. I remember that upgrading to 3.3 has solved some ...
3
votes
1answer
64 views

I deleted the partition volume where ubuntu 14.04 LTS was installed. now i cant access windows

I am stuck at grub rescue. I tried booting Ubuntu from a live USB, then doing this sudo app-apt-repository ppa:yannubuntu/boot-repair the this error came up. Please check that the PPA name or ...
2
votes
2answers
533 views

Error while setting up jdk8 on Ubuntu 14.04LTS

i was trying to setup jdk 8 using this guide. After downloading the jdk i got an error that asked me to manually configure dpkg. adeen-s@adeen-s-PC:~$ sudo dpkg --configure -a Setting up ...
2
votes
1answer
790 views

How to install rabbitvcs on Ubuntu 15.10 (Wily Werewolf)

I would like to know if rabbitvcs work in Ubuntu 15.10 (Wily Werewolf) using Unity and if the right repository for installation is: sudo add-apt-repository ppa:rabbitvcs/ppa Basically I need to ...
2
votes
1answer
47 views

issues with device drivers,and ppa packages [closed]

i am very new to ubuntu . First try is with ubuntu 14 version. since its my very first try please i need help. Some of my Questions are a. which PPA's has best reputation b. which is the best way to ...
2
votes
1answer
38 views

Why isn't this package auto-updating?

I have the PPA for Mozilla's daily builds of Firefox set up, but for some reason firefox-trunk has not updated for over a month. In the PPA, it shows that it should be at version 45a1, but instead ...
2
votes
1answer
19 views

Is there a maximum number of ppas that I can add? [duplicate]

I read this: There is a finite number of PPAs that a user can add (more accurately GPG Keys). If they don't need a PPA to solve the problem, don't make them use up one of their slots. Is this ...
6
votes
2answers
80 views

Is there any limit to the number of PPA's I can add to the system? Why?

I came across a post which suggests: Do Not instruct people to add PPAs unless it is necessary And one of the reason it has mentioned: There is a finite number of PPAs that a user can add. ...
1
vote
1answer
94 views

Updates problem giving a PPA not found error [duplicate]

I am on Ubuntu 14.04 and it always show me the little icon for updates, I do it and every time it show me this message : W:Failed to fetch ...
-1
votes
1answer
101 views

libimobiledevice build for kubuntu 14.10 went wrong

I tried following the instructions given in this question: libimobiledevice 1.2 (iOS 8 Support) for Ubuntu 14.04 Trusty but something went wrong and this is what i got when i reached the eighth step: ...
0
votes
2answers
115 views

can't seem to install custom libvirt

I just can't seem to install a custom version of libvirt on Ubuntu Server 14.04. I'm using this PPA and I used the method of manually pasting in the following lines to the bottom of my sources.list ...
1
vote
1answer
356 views

GPG Error Missing Signature [duplicate]

When I do the command below: sudo apt-get upgrade At the bottom I get an error saying W: GPG error: http://download.opensuse.org Release: The following signatures couldn't be verified because the ...
4
votes
1answer
75 views

Removing PPA causing GPG error

When I run sudo apt-get update I get the following error: W: GPG error: http://download.opensuse.org ./ Release: The following signatures were invalid: KEYEXPIRED 1436387333 How can I locate ...
3
votes
1answer
292 views

Can libreoffice ppa be trusted if it has “no ultimately trusted keys”?

Updating ppa's for libreoffice gets: sudo apt-add-repository ppa:libreoffice/libreoffice-5-0 ... Press [ENTER] to continue or ctrl-c to cancel adding it ... gpg: key 1378B444: public key ...
-1
votes
2answers
90 views

How to add a ppa from a launchpad link [duplicate]

How can I add this ppa: https://launchpad.net/~ermshiperete/+archive/ubuntu/monodevelop to Ubuntu by a command? So given a launchpad link how can I created the appropriate command?
1
vote
1answer
69 views

How to fix gpg not available error?

I am trying to kickstart an Ubtuntu installtion using an existing one. I rsynced the home dir and am now in the process of duplicating the installed packages. Since I have some extra ppa in my setup, ...
1
vote
1answer
107 views

resolve broken apt-get package download

I got an issue with the leap-keymanager package. sudo apt-get purge leap-keymanager Reading package lists... Done Building dependency tree Reading state information... Done E: The package ...
1
vote
1answer
56 views

Seemingly duplicate trusted GPG keys in /etc/apt/trusted.gpg.d

I was recently dealing with this bug in apt and was trying to figure out which .gpg files I could remove to /etc/apt/trusted.gpg.d to stop the W: GPG error: NO_PUBKEY error I was getting with apt-get ...
1
vote
1answer
47 views

How to add Launchpad PPA of different Ubuntu versions to my Machine?

I want to add a certain Launchpad PPA via add-apt-repository to my machine. Is it possible to add the PPAs of several or even all Ubuntu Versions to my Machine? This is just for comparing the ...
0
votes
0answers
340 views

Can't Add PPA Behind Proxy using CNTLM

I'm trying to add a PPA to upgrade PHP, but receiving the following error: $ sudo add-apt-repository ppa:ondrej/php5-5.6 Cannot add PPA: 'ppa:ondrej/php5-5.6'. Please check that the PPA name or ...
1
vote
1answer
131 views

Adding new PPA is causing GPG error after apt-get update

Recently I had a lot of GPG errors with the following message W: GPG error: http://ppa.launchpad.net trusty Release: The following signatures couldn't be verified because the public key is not ...
0
votes
2answers
69 views

Is plexydesk supported on Ubuntu 14.04.3 LTS (Trusty)

I tried installing but it fails. Failed to fetch http://ppa.launchpad.net/plexydesk/plexydesk-dailybuild/ubuntu/dists/trusty/main/binary-amd64/Packages 404 Not Found I read on Launchpad that it ...
1
vote
1answer
155 views

Where to find new firmware upgrades application on GNOME 3.18

I have just upgraded to Ubuntu GNOME 15.10 with GNOME 3.18, and I read here that there is a new firmware upgrades application, but I can't seem to find it anywhere, so how do I find it? I have ...
11
votes
6answers
9k views

Wine 1.7 not installing on Xubuntu 15.10

So, after setting up my installation of Xubuntu yesterday, I tried to install Wine 1.7 using ppa:ubuntu-wine/ppa. However, after doing sudo apt-get install wine1.7, it keeps giving me this error: ...
1
vote
1answer
155 views

How to add “Refresh” option to right click menu in Ubuntu 15.04

I tried to use below steps to add refresh option in Ubuntu 15.04 but getting error E: Unable to locate package nautilus-refresh. Same steps worked fine in Ubuntu 14.04. Anything I am missing? I am ...
0
votes
0answers
20 views

How to check installed packages for ones installed from no longer in use PPAs

Is there any way of checking which (if any) packages on my system were installed from PPAs which are now no longer installed or disabled? OS Information: No LSB modules are available. Distributor ...
0
votes
1answer
74 views

Problems with apt-get ppa from launch pad [duplicate]

I'm running Ubuntu Server Distributor ID: Ubuntu Description: Ubuntu 14.04.2 LTS Release: 14.04 Codename: trusty And when I run apt-get update is get the following errors Err ...
1
vote
0answers
208 views

Ubuntu 14.04 Software Center Install From PPA

I have installed a PPA. Now I want to view all software that the PPA has to offer in the Ubuntu Software Center GUI. Everywhere I look on the internet they say,"The packages available from the PPA can ...
2
votes
1answer
82 views

very basic question about ppa [duplicate]

What is a ppa? I tried installing vlc 2.2.1 but I found two PPAs and both of them seem to work? Is there no difference between them? Which one is better for future releases? sudo add-apt-repository ...
1
vote
2answers
135 views

How to get all packages listed in a PPA at once?

For example, if I do: sudo add-apt-repository ppa:ubuntu-toolchain-r/test sudo apt-get update sudo apt-get install gcc-5 g++-5 I get gcc-5 but not gfortran-5 or cpp-5 or any of the other packages ...